/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Tilt Five NDK", "index.html", [
    [ "Tilt Five™ NDK", "index.html", [
      [ "Welcome!", "index.html#ndkwelcome", [
        [ "Prerequisites", "index.html#prerequisites", null ],
        [ "Getting Started", "index.html#gettingStarted", null ],
        [ "Samples", "index.html#samplesInfo", [
          [ "Dynamic Linking", "index.html#samplesInfoDynLink", null ]
        ] ],
        [ "A Note on Compatibility", "index.html#compatibility", null ],
        [ "Contact", "index.html#context", null ],
        [ "Website", "index.html#website", null ],
        [ "Copyright", "index.html#copyright", null ]
      ] ]
    ] ],
    [ "Getting Started : C", "a03797.html", [
      [ "Project Setup", "a03797.html#cFiles", null ],
      [ "Using the Glasses", "a03797.html#cHowTo", [
        [ "Service Connection", "a03797.html#cServiceConnection", null ],
        [ "Threading", "a03797.html#cThreading", null ],
        [ "Operations", "a03797.html#cOperations", null ],
        [ "Create Context", "a03797.html#cCreateContext", [
          [ "Release Context", "a03797.html#cReleaseContext", null ]
        ] ],
        [ "System-wide Queries", "a03797.html#cSystemWideQuery", null ],
        [ "Enumerate Glasses", "a03797.html#cEnumerate", null ],
        [ "Create Glasses", "a03797.html#cCreateSelect", null ],
        [ "Non-exclusive Operations", "a03797.html#cNonExclusiveOps", null ],
        [ "Reserve for Exclusive", "a03797.html#cReserve", null ],
        [ "Ensure Ready for Exclusive", "a03797.html#cEnsureReady", null ],
        [ "Exclusive Operations", "a03797.html#cExclusiveOps", null ],
        [ "Release Exclusive Access", "a03797.html#cRelease", null ]
      ] ],
      [ "Wand Stream", "a03797.html#cAboutWandStream", null ]
    ] ],
    [ "Getting Started : C++", "a03798.html", [
      [ "Files", "a03798.html#files", null ],
      [ "Using the Glasses", "a03798.html#howTo", [
        [ "Service Connection", "a03798.html#ServiceConnection", null ],
        [ "Result Wrapper", "a03798.html#aboutResult", null ],
        [ "Operations", "a03798.html#Operations", null ],
        [ "Create Client", "a03798.html#CreateClient", null ],
        [ "System-wide Queries", "a03798.html#SystemWideQuery", null ],
        [ "Enumerate & Select Glasses", "a03798.html#Enumerate", null ],
        [ "Non-exclusive Operations", "a03798.html#NonExclusiveOps", null ],
        [ "Reserve for Exclusive", "a03798.html#Reserve", null ],
        [ "Ensure Ready for Exclusive", "a03798.html#EnsureReady", null ],
        [ "Exclusive Operations", "a03798.html#ExclusiveOps", null ],
        [ "Release Exclusive Access", "a03798.html#Release", null ],
        [ "Destruction", "a03798.html#DestroyGlasses", null ]
      ] ],
      [ "Wand Stream", "a03798.html#aboutWandStream", null ],
      [ "Camera Image Stream", "a03798.html#aboutCameraImageStream", null ],
      [ "Object References", "a03798.html#cppObjectOwnership", null ],
      [ "Helper Classes", "a03798.html#cppHelper", [
        [ "Using WandStreamHelper", "a03798.html#UsingWandStreamHelper", null ],
        [ "Using GlassesConnectionHelper", "a03798.html#UsingGlassesConnectionHelper", null ],
        [ "Using ParamChangeHelper", "a03798.html#UsingParamChangeHelper", null ]
      ] ]
    ] ],
    [ "Getting Started : Android", "a03799.html", [
      [ "Project Setup", "a03799.html#androidFiles", null ],
      [ "Platform Context", "a03799.html#androidPlatformContext", [
        [ "Kotlin code", "a03799.html#androidContextKotlin", null ],
        [ "C code", "a03799.html#androidContextC", null ]
      ] ],
      [ "Next Steps", "a03799.html#androidNextSteps", null ]
    ] ],
    [ "Release History", "a03800.html", [
      [ "1.4.0-beta", "a03800.html#autotoc_md0", null ],
      [ "1.3.2-beta", "a03800.html#autotoc_md1", null ],
      [ "1.3.1-beta", "a03800.html#autotoc_md2", null ],
      [ "1.3.0-beta", "a03800.html#autotoc_md3", null ],
      [ "1.2.1-beta", "a03800.html#autotoc_md4", null ],
      [ "1.2.0-beta", "a03800.html#autotoc_md5", null ],
      [ "1.1.0-beta", "a03800.html#autotoc_md6", null ]
    ] ],
    [ "Special Topics", "a03801.html", [
      [ "Graphics APIs", "a03801.html#aboutGraphicsApi", null ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a03660.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';